import request from '@/utils/request'

// 查询围栏组列表
export function selectGroupList(data) {
  return request({
    url: '/fence/group/selectGroupList',
    method: 'post',
    data
  })
}

//添加
export function addGroup(data) {
  return request({
    url: '/fence/group/addGroup',
    method: 'post',
    data
  })
}
//修改
export function updGroup(data) {
  return request({
    url: `/fence/group/updGroup/${data.id}`,
    method: 'post',
    data
  })
}
//添加
export function findGroupByid(id) {
  return request({
    url: '/fence/group/findGroupByid/'+id,
    method: 'post',
  })
}
//删除
export function deletes(id) {
  return request({
    url: '/fence/group/deletes/'+id,
    method: 'post',
    data:id
  })
}

//删除
export function groupDelete(data) {
  return request({
    url: '/fence/group/deleteGroup',
    method: 'post',
    data:data
  })
}
